Skip to main content
POST
Commit an ingestion batch

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

table_id
string
required

Summation table receiving the ingested rows.

Minimum string length: 1
batch_id
string
required

Ingestion batch identifier returned by batch creation.

Minimum string length: 1

Body

application/json
expected_size_bytes
integer
required

Exact byte size of the completed CSV object.

Required range: x <= 9007199254740991
expected_sha256
string
required

Hex-encoded SHA-256 digest of the completed CSV object.

Pattern: ^[0-9a-fA-F]{64}$
parts
IngestionBatchPart · object[]
required

All uploaded parts in contiguous ascending order starting at one.

Required array length: 1 - 10000 elements

Response

Successful Response